CUTLASS: half.h File Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros | Functions
half.h File Reference

Defines a class for using IEEE half-precision floating-point types in host or device code. More...

`#include <cmath>`
`#include <limits>`
`#include <cstdint>`
`#include <cuda_fp16.h>`
`#include "cutlass/cutlass.h"`
Include dependency graph for half.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | cutlass::half_t
| IEEE half-precision floating-point type. More...
struct | std::numeric_limits< cutlass::half_t >
| Numeric limits. More...

## Namespaces
| cutlass

## Macros
#define | CUTLASS_ENABLE_F16C 0

## Functions
CUTLASS_HOST_DEVICE bool | cutlass::signbit (cutlass::half_t const &h)
CUTLASS_HOST_DEVICE cutlass::half_t | cutlass::abs (cutlass::half_t const &h)
CUTLASS_HOST_DEVICE bool | cutlass::isnan (cutlass::half_t const &h)
CUTLASS_HOST_DEVICE bool | cutlass::isfinite (cutlass::half_t const &h)
CUTLASS_HOST_DEVICE cutlass::half_t | cutlass::nanh (const char *)
CUTLASS_HOST_DEVICE bool | cutlass::isinf (cutlass::half_t const &h)
CUTLASS_HOST_DEVICE bool | cutlass::isnormal (cutlass::half_t const &h)
CUTLASS_HOST_DEVICE int | cutlass::fpclassify (cutlass::half_t const &h)
CUTLASS_HOST_DEVICE cutlass::half_t | cutlass::sqrt (cutlass::half_t const &h)
CUTLASS_HOST_DEVICE half_t | cutlass::copysign (half_t const &a, half_t const &b)
CUTLASS_HOST_DEVICE bool | cutlass::operator== (half_t const &lhs, half_t const &rhs)
CUTLASS_HOST_DEVICE bool | cutlass::operator!= (half_t const &lhs, half_t const &rhs)
CUTLASS_HOST_DEVICE bool | cutlass::operator< (half_t const &lhs, half_t const &rhs)
CUTLASS_HOST_DEVICE bool | cutlass::operator<= (half_t const &lhs, half_t const &rhs)
CUTLASS_HOST_DEVICE bool | cutlass::operator> (half_t const &lhs, half_t const &rhs)
CUTLASS_HOST_DEVICE bool | cutlass::operator>= (half_t const &lhs, half_t const &rhs)
CUTLASS_HOST_DEVICE half_t | cutlass::operator+ (half_t const &lhs, half_t const &rhs)
CUTLASS_HOST_DEVICE half_t | cutlass::operator- (half_t const &lhs)
CUTLASS_HOST_DEVICE half_t | cutlass::operator- (half_t const &lhs, half_t const &rhs)
CUTLASS_HOST_DEVICE half_t | cutlass::operator* (half_t const &lhs, half_t const &rhs)
CUTLASS_HOST_DEVICE half_t | cutlass::operator/ (half_t const &lhs, half_t const &rhs)
CUTLASS_HOST_DEVICE half_t & | cutlass::operator+= (half_t &lhs, half_t const &rhs)
CUTLASS_HOST_DEVICE half_t & | cutlass::operator-= (half_t &lhs, half_t const &rhs)
CUTLASS_HOST_DEVICE half_t & | cutlass::operator*= (half_t &lhs, half_t const &rhs)
CUTLASS_HOST_DEVICE half_t & | cutlass::operator/= (half_t &lhs, half_t const &rhs)
CUTLASS_HOST_DEVICE half_t & | cutlass::operator++ (half_t &lhs)
CUTLASS_HOST_DEVICE half_t & | cutlass::operator-- (half_t &lhs)
CUTLASS_HOST_DEVICE half_t | cutlass::operator++ (half_t &lhs, int)
CUTLASS_HOST_DEVICE half_t | cutlass::operator-- (half_t &lhs, int)
CUTLASS_HOST_DEVICE cutlass::half_t | operator""_hf (long double x)
CUTLASS_HOST_DEVICE cutlass::half_t | operator""_hf (unsigned long long int x)

## Macro Definition Documentation

#define CUTLASS_ENABLE_F16C 0

## Function Documentation

CUTLASS_HOST_DEVICE cutlass::half_t operator""_hf | ( | long double | x | ) |

CUTLASS_HOST_DEVICE cutlass::half_t operator""_hf | ( | unsigned long long int | x | ) |